<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');
//$help = $activeModules['Bilderalbum']['help'];

// Sprache
//$directory = basename(dirname($_SERVER['PHP_SELF'])); 
$translator->addTranslation('slideshow',CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/lang');

// Can I create a file in ./bilder?
$check = is_writable("bilder");
if ($check == false) {
	$message[] = __('The directory <i>bilder</i> is not writable! Please set the propper rights to "write"!');
}

include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/producer.inc.php');

// Seitenausgabe ********************************************************

// Header
require(CPO_BASEDIR.'_include/header.php');

if (isset($_REQUEST['new']))		include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/inc_album_create.inc.php');
if (isset($_REQUEST['layout']))		include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/inc_layout.inc.php');
if (!isset($_REQUEST['edit']) && !isset($_REQUEST['change']) && !isset($_REQUEST['list']) && !isset($_REQUEST['layout']) && !isset($_REQUEST['new'])) include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/inc_albumlist.inc.php');
if (isset($_REQUEST['edit']))		include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/inc_album_edit.inc.php');
if (isset($_REQUEST['change']))		include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/inc_change.inc.php');
if ($_REQUEST['list'] == "options") include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/inc_options.inc.php');
if ($_REQUEST['list'] == "rights")  include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/inc_rights.inc.php');


// ==== footer =====
include(CPO_BASEDIR.'_include/footer.php');

?>