<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

if (!defined('CPO')) exit;

// Funktionen
if (file_exists(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/slideshow_functions.inc.php'))  include_once(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/slideshow_functions.inc.php');

// Modulvariablen (fr weniger Schreibarbeit)
	$speed			= $activeModules['Bilderalbum']['speed'];
	$min_size		= $activeModules['Bilderalbum']['min_size'];
    $quality		= $activeModules['Bilderalbum']['quality'];
	$satzspiegel	= $activeModules['Bilderalbum']['satzspiegel'];
	$album_height	= $activeModules['Bilderalbum']['album_height'];
	$max_height		= $activeModules['Bilderalbum']['max_height'];
	$max_width		= $activeModules['Bilderalbum']['max_width'];
	$pop_up_width	= $activeModules['Bilderalbum']['pop_up_width'];
	$pop_up_height	= $activeModules['Bilderalbum']['pop_up_height'];
	$slide_frame	= $activeModules['Bilderalbum']['slide_frame'];
	$padding		= $activeModules['Bilderalbum']['padding'];
	$overview_format= $activeModules['Bilderalbum']['overview_format'];

$uploadErrors = array(
    __('File was successfully uploaded.'),
    __('Note: The uploaded file exceeds the allowed size.'),
    __('Note: The uploaded file exceeds the allowed size.'),
    __('Note: The file was not uploaded completely. Please try again.'),
    __('Note: No file was received. Please try again.')
);
$imageTypes = array(
    'unknown', 
    'GIF', 
    'JPG', 
    'PNG', 
    'SWF', 
    'PSD', 
    'BMP', 
    'TIFF(intel byte order)', 
    'TIFF(motorola byte order)', 
    'JPC', 
    'JP2', 
    'JPX', 
    'JB2', 
    'SWC', 
    'IFF');

// **********************************************************************************************************************
// Files wurden hochgeladen in Upload Verzeichnis

if (isset($_POST['process_directory']) || $_GET['mode'] == "staggered")  {  
	// some values
	$counter = $start_with + 1;
	$path = CPO_BASEDIR.$activeModules['Bilderalbum']['directory']."/bilder/";
	$image_files = listImageFiles("upload");
	$cols = $_REQUEST['cols'];
	if ($overview_format == 'table')
	{
		$dia_size = floor (($satzspiegel - (($cols - 1) * $padding)) / $cols);
		$thumbsize = floor ($dia_size - (2 * $slide_frame));
	}
	if ($overview_format == 'pics')
	{
		$thumbsize = $activeModules['Bilderalbum']['image_size'];
	}
	$t_datum = date ("YmdHmi" ,time());
	$autor = $_SESSION['SID_user']['name'];
	// letzte sort-id
	$query = "SELECT count(*) AS last FROM " . CPO_MOD_GALLERY . " WHERE album = '" . addslashes($_REQUEST['album']) . "' AND datei <> ''";
    DEBUG(2, $query, __FILE__, __LINE__);  
    $db = new DB;
    $db->query($query);
	$db->next_record();
	$next_sort_id = ($db->v('last'))+1;

	if (is_array($image_files))  {
		echo '<table class="colored" style="width: 100%;">';
		echo '<thead><tr>';
		echo '    <th colspan="2"><span>' . __('Processed files') . '</span></th>';
		echo '</tr>';
		echo '</thead><tbody>';
		sort($image_files);
		echo '		<tr>';
		echo '			<td colspan="2">';
        if ($start_with<count($image_files)) echo sprintf(__('Processing images from %s to %s ... '), $start_with+1, min($start_with+$num_to_process,count($image_files)));
        else echo __('All images were processed! ');
		echo sprintf(__('(%s of %s remaining)'), count($image_files)-min($start_with+$num_to_process,count($image_files)), count($image_files));
		bilderalbum_process(min($start_with+$num_to_process,count($image_files)), count($image_files));
		echo '</td></tr>';
		for($i=$start_with; $i<$start_with+$num_to_process; $i++) {
			if (!isset($image_files[$i])) {
				$finished = TRUE;
				$message[] = sprintf(__("Done! <b>%s</b> images were processed!"), ($counter-1));
				$message[] = '<a href="edit.php?edit=' . htmlspecialchars($_REQUEST['album'], ENT_COMPAT, 'ISO-8859-15') . '&cols=' . $cols . '">' . __("Click to return to the slideshow-mangement") . '</a>';
				break;
			}
			@set_time_limit(30);  //Time-Limit verlngern
			echo '		<tr>';
			echo '			<td class="leftrow">' . sprintf('<b>%d) %s</b>', $counter++, htmlspecialchars($image_files[$i], ENT_COMPAT, 'ISO-8859-15')) . '</td>';
			echo '			<td class="rightrow">';

			// modify filename to exclude characters that are not a-z A-Z 0-9 _ or .
			$filename = $image_files[$i];
			$filename = preg_replace('/[^a-z0-9_\.-]/i', '_', $filename);

			// add a prefix if file exists
			$prefix = ''; 
			$prefixNo = 0;
			while (file_exists($path.$prefix.$filename)) {
				$prefixNo++;
				$prefix = $prefixNo.'-';
			}
			$new_filename = $path.$prefix.$filename;

			if (file_exists($path.$filename)) printf(__('This file did already exist.<br />To avoid overwriting the old file, a prefix got added: <em>%s</em>.').'<br />', $prefix);

			// move the file to the new place
			if (!@copy("upload/".$filename, $new_filename)) {
				echo '<img src="../_skin/conpresso/sym_info.gif"> ';
				printf(__('Unable to move the file <em>%s</em>! Make sure the webserver has write-access to the directory <em>%s</em>').'<br />',	htmlspecialchars($new_filename, ENT_COMPAT, 'ISO-8859-15'), htmlspecialchars(dirname($new_filename), ENT_COMPAT, 'ISO-8859-15') );
				continue;
				echo '</td></tr>';
			}
			
			// Check auf 4C-Jpegs
			if (!@ImageCreateFromJPEG($new_filename))  {
				@unlink($new_filename);
				echo '<img src="../_skin/conpresso/sym_info.gif"> ';
				print(__('This might be a 4C-Jpeg that can not be processed!'));
				echo '</td></tr>';
				continue;
			}

			// Zu kleine Bilder werden abgelent
			$checkImage = @getimagesize($new_filename);
			if ($checkImage[0] < $min_size AND $checkImage[1] < $min_size) {
				@unlink($new_filename);
				print('<img src="../_skin/conpresso/sym_info.gif"> ');
				printf(__('<b>Your image is too small to be used in the slideshow!</b> The image dimension (%s x %s) is smaller than the required slideshow minimum of %s pixels.').'<br />',
					'<em>'.$checkImage[0].'</em>',
					'<em>'.$checkImage[1].'</em>',
					'<em>'.$activeModules['Bilderalbum']['min_size'].'</em>'
				);
				continue;
			}

			@chmod($new_filename, 0666);

			// Check if it is an image suitable for album (only JPG)
			if ($checkImage && $imageTypes[$checkImage[2]]=='JPG') {

				printf(__('The file is an image of type <em>%s</em> and is suitable for webpages.').'<br />', $imageTypes[$checkImage[2]]);

				$query = "INSERT INTO ".CPO_MOD_GALLERY." (id, beschreibung, datei, size, width, height, user, album, timestamp, sort) values('', '".addslashes($_POST['beschreibung'][$i])."', 't".$prefix.$filename."', '".filesize($new_filename)."', '".$checkImage[0]."', '".$checkImage[1]."', '".$autor."', '".addslashes($_REQUEST['album'])."', '".$t_datum."', ".$next_sort_id++.")";

				// Thumnails erstellen
				slideshow_thumbnail($new_filename, $thumbsize, $path."t".$prefix.$filename, $quality);

				// Bilder skalieren auf Standard
				slideshow_picture($new_filename, $max_width, $max_height, $path."h".$prefix.$filename, $quality);

                // x-files
                if (trim($activeModules['Bilderalbum']['x_files'])!='')  {
                    $xfiles = explode("\n",trim($activeModules['Bilderalbum']['x_files']));
                    foreach ($xfiles AS $xfile)  {
                        if (trim($xfile)=='') continue;
                        $xfileparms = explode(";",trim($xfile));
                        $xfilePrefix = (trim($xfileparms[0]));
                        $xfileWidth = (trim($xfileparms[1]));
                        $xfileHeight = (trim($xfileparms[2]));
                        if (empty($xfilePrefix)) continue;
                        if (empty($xfileWidth)) continue;
                        if (empty($xfileHeight)) continue;
                        if ($xfilePrefix=="h") continue;
                        if ($xfilePrefix=="t") continue;

                        slideshow_picture($new_filename, $xfileWidth, $xfileHeight, $path.$xfilePrefix.$prefix.$filename, $quality);
                        printf('<img src="'.SKIN_URL.'sym_note.gif"> '.__('An additional file was created and saved as <em>%s</em>.').'<br />',
                            htmlspecialchars($xfilePrefix.$prefix.$filename, ENT_COMPAT, 'ISO-8859-15')
                            );
                    }
                }

			} else {
				// no image 
				@unlink($new_filename);
				// if the file is too big, delete it and continue
					printf(__('The file %s is no image an has been deleted!.'),
						'<em>'.$new_filename.'</em>'
					);
					echo '<br />';
				continue;
			}

			// print infos
			printf(__('File was uploaded and saved as <em>%s</em>.').'<br />'.
				   __('The file has a size of <em>%s</em>.').'<br />',
				htmlspecialchars($prefix.$filename, ENT_COMPAT, 'ISO-8859-15'),
				printHumanReadable(filesize($new_filename))
				);
			echo '</td></tr>';
			logaction('upload slideshow image', $prefix.$filename);

			// store in database
			DEBUG(1, $query, __FILE__, __LINE__);   
			$db = new DB;
			$db->query($query);

		}
	echo '</tbody></table>';
	} else {
		$message[] = __('Error while processing the upload directory: No files!');
	}
}

// ####################################################################################################
// Bilder/Thumbsnails umrechnen wegen neuem Satzspiegel bzw. max-Bild
if (isset($_GET['recalculate']))  {
	$path = CPO_BASEDIR.$activeModules['Bilderalbum']['directory']."/bilder/";
	$query = "SELECT count(*) FROM ".$dbPrefix."_mod_bilderalbum WHERE datei <> ''";
	DEBUG(2, $query, __FILE__, __LINE__);  
	$db = new DB;
	$db->query($query);
	$db->next_record();
	$total = $db->v('count(*)');
	if ($_GET['recalculate'] == 'pics')  {
		$query = "SELECT * FROM ".CPO_MOD_GALLERY." WHERE datei <> '' LIMIT ".$start_with.", ".$activeModules['Bilderalbum']['staggered_num'];
		DEBUG(2, $query, __FILE__, __LINE__);  
		$db = new DB;
		$db->query($query);
		$resize_count = $db->num_rows();
		if ($db->num_rows() < 1) {
			$finished = TRUE;
			$message[] = sprintf(__("Done! <b>%s</b> images were processed!"), $total);
			$message[] = '<a href="edit.php?list=options">'.__("Click to return to the slideshow settings").'</a>';
		} else {
			while($db->next_record()):
			//Time-Limit verlngern
				@set_time_limit(30); 
				$filename = substr($db->v("datei"),1);
				slideshow_picture($path.$filename, $max_width, $max_height, $path."h".$filename, $quality);
				// x-files
                if (trim($activeModules['Bilderalbum']['x_files'])!='')  {
                    $xfiles = explode("\n",trim($activeModules['Bilderalbum']['x_files']));
                    foreach ($xfiles AS $xfile)  {
                        if (trim($xfile)=='') continue;
                        $xfileparms = explode(";",trim($xfile));
                        $xfilePrefix = (trim($xfileparms[0]));
                        $xfileWidth = (trim($xfileparms[1]));
                        $xfileHeight = (trim($xfileparms[2]));
                        if (empty($xfilePrefix)) continue;
                        if (empty($xfileWidth)) continue;
                        if (empty($xfileHeight)) continue;
                        if ($xfilePrefix=="h") continue;
                        if ($xfilePrefix=="t") continue;

                        slideshow_picture($path.$filename, $xfileWidth, $xfileHeight, $path.$xfilePrefix.$filename, $quality);
                    }
                }
			endwhile;
			bilderalbum_process($start_with+$num_to_process, $total);
			$message[] = sprintf(__("<b>%s</b> of <b>%s</b> images were resampled"), $start_with+$resize_count, $total);
		}
	}
	if ($_GET['recalculate'] == 'thumbs')  {
		$count = 0;
		$query = "SELECT * FROM ".CPO_MOD_GALLERY." WHERE datei = ''";
		DEBUG(2, $query, __FILE__, __LINE__);  
		$db = new DB;
		$db->query($query);
		// creating a process-list ********************
		while($db->next_record()):
			$albums[] = addslashes($db->v('album'));
			$width[] = $db->v('width');
			$queries[] = "SELECT * FROM ".CPO_MOD_GALLERY." WHERE datei <> '' AND album = '".addslashes($db->v('album'))."'";
		endwhile;
		for ($i=0;$i<count($albums);$i++)  {
			@set_time_limit(30); 
			// Bestimmung der Diagre
			$spalten = $width[$i];
			if ($overview_format == 'table')
			{
				$dia_size = floor (($satzspiegel - (($spalten - 1) * $padding)) / $spalten);
				$thumbsize = floor ($dia_size - (2 * $slide_frame));
			}
			if ($overview_format == 'pics')
			{
				$thumbsize = $activeModules['Bilderalbum']['image_size'];
			}
			$db->query($queries[$i]);
			while($db->next_record()):
				$filename = substr($db->v("datei"),1);
				$process_list['file'][] = $filename;
				$process_list['size'][] = $thumbsize;
				$count++;
			endwhile;
		}
		// processing the list with staggered values ***********************
		for ($i=$start_with;$i<$start_with+$num_to_process;$i++)  {
			if (!isset($process_list['file'][$i])) {
				$finished = TRUE;
				$message[] = sprintf(__("<b>%s</b> thumbnails were resampled"), $total);
				$message[] = '<a href="edit.php?list=options">'.__("Click to return to the slideshow settings").'</a>';
				break;
			} else {
				slideshow_thumbnail($path.$process_list['file'][$i], $process_list['size'][$i], $path."t".$process_list['file'][$i], $quality);
			}
		}
		if (!$finished) {
			bilderalbum_process($start_with+$num_to_process, $total);
			$message[] = sprintf(__("<b>%s</b> of <b>%s</b> thumbnails were resampled"), $start_with+$num_to_process, $total);
		}
	}	        
}

?>