<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

// Modulvariablen
	$speed			    = $activeModules['Bilderalbum']['speed'];
    $quality		    = $activeModules['Bilderalbum']['quality'];
	$satzspiegel	    = $activeModules['Bilderalbum']['satzspiegel'];
	$min_size		    = $activeModules['Bilderalbum']['min_size'];
	$max_width		    = $activeModules['Bilderalbum']['max_width'];
	$max_height		    = $activeModules['Bilderalbum']['max_height'];
	$album_height   	= $activeModules['Bilderalbum']['album_height'];
	$pop_up_width	    = $activeModules['Bilderalbum']['pop_up_width'];
	$pop_up_height   	= $activeModules['Bilderalbum']['pop_up_height'];
	$slide_frame	    = $activeModules['Bilderalbum']['slide_frame'];
	$padding		    = $activeModules['Bilderalbum']['padding'];
	$overview_format    = $activeModules['Bilderalbum']['overview_format'];
	$num_images         = $activeModules['Bilderalbum']['num_images'];
	$image_size         = $activeModules['Bilderalbum']['image_size'];
	$album_rows         = $activeModules['Bilderalbum']['album_rows'];

// ####################################################################################################
// Einzelbild anzeigen
if (isset($_GET['pic']) && ($mod_galery_albums[$_GET['from']]['sort'] || $_SESSION['SID_user']['admin']>0) )  {
	if (file_exists(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/slideshow_functions.inc.php'))  include_once(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/slideshow_functions.inc.php');

	$album_description = $mod_galery_albums[$_GET['from']]['beschreibung'];		
	
	$query = "SELECT * FROM ".CPO_MOD_GALLERY." WHERE (album = '".addslashes($_GET['from'])."' AND datei <> '') ORDER BY sort";
    DEBUG(2, $query, __FILE__, __LINE__);  
    $dbShow = new DB;
    $dbShow->query($query);
	$total = $dbShow->num_rows();
	$found = false;
	$fadeSlideShowImages = array();
	$fadeSlideShowImagesRest = array();
	$index = 0;
    if ($dbShow->num_rows()>0){
        while($dbShow->next_record())  {
			$beschreibung = addslashes(htmlspecialchars($dbShow->v("beschreibung"), ENT_COMPAT, 'ISO-8859-15'));
			if (substr($dbShow->v("datei"),1) == $_GET['pic'])  {  // Bild gefunden
				$found = true;
				$startindex = $index;
			}
			if ($activeModules['Bilderalbum']['link_original'] == 'yes') $fadeSlideShowImages[] = '["../mod_gallery/bilder/h'.substr($dbShow->v("datei"),1).'", "../mod_gallery/bilder/'.substr($dbShow->v("datei"),1).'", "zoom", "'.$beschreibung.'"]';
			if ($activeModules['Bilderalbum']['link_original'] == 'no') $fadeSlideShowImages[] = '["../mod_gallery/bilder/h'.substr($dbShow->v("datei"),1).'", "", "", "'.$beschreibung.'"]';
			$index++;
		}
	}  

	if ($_GET['pic'] === true) $startindex = 0;

	$fadeSlideShowArray = implode(', ',$fadeSlideShowImages);

	// Einlesen der Show-Definition
	$show_base_string = ($inPage) ? $activeModules['Bilderalbum']['inpage_template'] : $activeModules['Bilderalbum']['show_template'];
	$show_string = $show_base_string;

    $replacer[albumPlaceholder('ARTICLE_NR')]            = $db_nr;
    $replacer[albumPlaceholder('ARTIKLE_ID')]            = $db_nr; // for backwards compatibility to 4.3a
    $replacer[albumPlaceholder('ALBUM_FADE_SHOW')]       = $fadeSlideShowArray;
    $replacer[albumPlaceholder('ALBUM_FADE_SHOW_INDEX')] = $startindex;
    $replacer[albumPlaceholder('ALBUM_TITLE')]           = htmlspecialchars($_GET['from'], ENT_COMPAT, 'ISO-8859-15');
    $replacer[albumPlaceholder('ALBUM_ANCHOR')]          = urlencode(htmlspecialchars($_GET['from'], ENT_COMPAT, 'ISO-8859-15'));
    $replacer[albumPlaceholder('ALBUM_CSS')]             = $article_style_css;
    $replacer[albumPlaceholder('ALBUM_PIC_NUMBER')]      = $sort_id;
    $replacer[albumPlaceholder('ALBUM_PICS_TOTAL')]      = $total;
    $replacer[albumPlaceholder('SLIDE_PADDING')]         = $padding;
    $replacer[albumPlaceholder('POP_UP_WIDTH')]          = $pop_up_width;
    $replacer[albumPlaceholder('POP_UP_HEIGHT')]         = $pop_up_height;
    $replacer[albumPlaceholder('MAX_WIDTH')]             = $max_width;
    $replacer[albumPlaceholder('MAX_HEIGHT')]            = $max_height;
    $replacer[albumPlaceholder('ALBUM_DIR')]             = $activeModules['Bilderalbum']['directory'];
    $replacer[albumPlaceholder('ALBUM_PIC_DESCRIPTION')] = $beschreibung;
    $replacer[albumPlaceholder('SLIDE_SIZE')]            = $size;

    $show_string = preg_replace(array_keys($replacer), array_values($replacer), $show_string);

	if (!$mute)  echo $show_string;
}

?>