<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

if (!defined('CPO')) exit;

if (is_dir(substr(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/skin/'.$CPO['skin'],0,-1))) define('GAL_SKIN_URL', BASE_REL.$activeModules['Bilderalbum']['directory'].'/skin/'.$CPO['skin']);
else define('GAL_SKIN_URL', BASE_REL.$activeModules['Bilderalbum']['directory'].'/skin/conpresso/'); // Fallback to conpresso


// Edit Bilderalbum Bereich

if (!isset($_GET['edit']))  $_GET['edit'] = $_POST['edit'];
$edit = $_GET['edit'];
$offset = $cols = $mod_galery_albums[$edit]["width"];; // bedeutet soviel wie eine Zeile nach oben

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

printPageHeader(
	__('Edit slideshow'),
	sprintf(__('In this view you can edit the slideshow <i>%s</i>.'), $_GET['edit']),
    modHelp('application','gallery'),
    true,
    'modules'
);

if (!$_GET['edit'] && isset($_POST['edit']))  $_GET['edit'] = $_POST['edit'];
include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/actions.inc.php');
require(CPO_BASEDIR."_include/message.php");

if (!$gallerybreak) {

    // Einlesen fr Check
        $articlestates = $cpoSystem['release'] 
            ? ' AND artikel_archiv<2 AND freigabe='.STATE_RELEASED.' ' 
            : ' AND artikel_archiv<1 AND freigabe!='.STATE_BLOCKED.' ';
        $query0 = "SELECT templates_id FROM ".CPO_NEWS." WHERE titel = '".addslashes($_GET['edit'])."'".$articlestates;
        if (substr(addslashes($_GET['edit']),strlen($activeModules['Bilderalbum']['member_suffix'])*-1)==$activeModules['Bilderalbum']['member_suffix']) $query0 = "SELECT templates_id FROM ".CPO_NEWS." WHERE titel = '".substr(addslashes($_GET['edit']),0,strlen($activeModules['Bilderalbum']['member_suffix'])*-1)."'";
        DEBUG(2, $query0, __FILE__, __LINE__);  
        $dbcheck = new DB;
        $dbcheck->query($query0);
        $total = $dbcheck->num_rows();
        while($dbcheck->next_record()) {
            $templateCheck[$dbcheck->v("templates_id")] = $dbcheck->v("templates_id");
        }
        if ($total < 1)  {
            $message[] = sprintf(
                            __("There is no corresponding article! Create an article with the title &quot;<i>%s</i>&quot; and make sure the used template contains a slideshow-placeholder."),
                            htmlspecialchars($_GET['edit'], ENT_COMPAT, 'ISO-8859-15')
                            );
        }
        if (is_array($templateCheck))  {
            $in = implode(',',$templateCheck);
            $query0 = "SELECT id FROM ".CPO_TEMPLATES." WHERE id IN (".$in.") AND (tpl_first LIKE '%<!--%slideshow%:%' OR tpl_detail LIKE '%<!--%slideshow%:%' OR tpl_javascript LIKE '%<!--%slideshow%:%')";
            DEBUG(2, $query0, __FILE__, __LINE__);  
            $dbcheck->query($query0);
            $total = $dbcheck->num_rows();
            if ($total < 1)  {
                $message[] = __("There is none of the necessary placeholders in the template of the corresponding article.");
            }
        }
        $query = "SELECT sort FROM ".CPO_MOD_GALLERY." WHERE album = '".addslashes($_GET['edit'])."' AND datei = '' ";
        DEBUG(2, $query, __FILE__, __LINE__);  
        $db = new DB;
        $db->query($query);
        $db->next_record();
        $online = $db->v("sort");
        if (!$online) $message[] = sprintf(__("This album is not published yet! After completing the album <i>%s</i> you need to release it using the release button."), addslashes($_GET['edit']));
        // ein paar Warnmeldungen
        if ($activeModules['Bilderalbum']['usage_message'] == 'yes')  {
            $message[] = __('NOTICE: The galleries can\'t be shown by using a URL! Just put a SLIDESHOW placeholder in your article template and the gallery matching the article title will be shown.');
        }

        require(CPO_BASEDIR."_include/message.php");
        
    // Einlesen fr Tabelle
        $query = "SELECT * FROM ".CPO_MOD_GALLERY." WHERE album = '".addslashes($_GET['edit'])."' AND datei <> '' ORDER BY sort";
        DEBUG(2, $query, __FILE__, __LINE__);  
        $db = new DB;
        $db->query($query);
        $total = $db->num_rows();
        if ($db->num_rows()>0)  {

            // table header {{{
            echo '<table class="ruler" style="width: 100%;">';
            echo '<thead><tr>';
                echo '<th style="width: 1%;">&nbsp;</span></th>';
                echo '<th style="width: 59%;"><span>'.__('Name').'</span></th>';
                echo '<th style="width: 20%;"><span>'.__('Size').'</span></th>';
                echo '<th style="width: 20%;"><span>'.__('Edit').'</span></th>';
            echo '</tr></thead><tbody>';
            $row = 1;
            while($db->next_record()):
                $album = $db->v("album");
                $sort_id = $db->v("sort");
                $id = $db->v("id");
                echo '<tr id="id'.$id.'">';
                echo '<td style="text-align: center; white-space:nowrap;">';
                bilderalbum_sort($id, $sort_id);
                echo "</td>";
                echo "<td>";
                echo '<a href="../'.$activeModules['Bilderalbum']['directory'].'/bilder/'.substr($db->v("datei"),1).'" target="_blank">';
                echo '<img src="../'.$activeModules['Bilderalbum']['directory'].'/bilder/'.$db->v("datei").'" height="30" align="left"></a>&nbsp;';
                echo '<a href="../'.$activeModules['Bilderalbum']['directory'].'/bilder/'.substr($db->v("datei"),1).'" target="_blank">';
                echo substr($db->v("datei"),1)."</a><br>&nbsp;(".$db->v("beschreibung").")";
                echo "</td>";
                echo "<td>";
                echo printHumanReadable($db->v("size")).'<br>'.$db->v("width")." x ".$db->v("height")." ".__('pixel');
                echo "</td>";
                echo "<td>";
                    echo '<a href="'.BASE_REL.$activeModules['Bilderalbum']['directory'].'/edit.php?change='.$db->v("id").'">';
                    echo '<img src="'.SKIN_URL.'pic_edit.gif" alt="'.__('edit').'" title="'.__('edit').'" />'; 
                    echo '</a>';
                    echo '<a href="'.BASE_REL.$activeModules['Bilderalbum']['directory'].'/edit.php?edit='.urlencode(htmlspecialchars($album, ENT_COMPAT, 'ISO-8859-15')).'&delpic='.substr($db->v("datei"),1).'&sort='.$sort_id.'" onClick="return confirm(\''.__('Do you really want to delete this picture?').'\')">';
                    echo '<img src="'.SKIN_URL.'pic_del.gif" alt="'.__('delete').'" title="'.__('delete').'" />'; 
                    echo '</a>';
                echo "</td>";
                echo "</tr>";
                $row++;
            endwhile;

            echo '</tbody></table>';
        } else {
            $message[] = sprintf(__('No pictures found for the slideshow <i>%s</i>. Go ahead and upload some files!'),htmlspecialchars($_GET['edit'], ENT_COMPAT, 'ISO-8859-15'));
            require(CPO_BASEDIR."_include/message.php");
        }

    //Upload-Formular
    include (CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/inc_upload.inc.php');
}
?>