<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

if (!defined('CPO')) exit;

global $content, $key, $replacement, $gallerybreak, $mod_galery_albums, $verbraucht, $rand_pics, $rand_desc;
global $db_titel, $dbPrefix, $activeModules, $db_nr, $rubric, $cpoRubric, $album_start, $album_page, $parameters;

$verbraucht[$db_titel] = array();
$rand_reihe = 1;
$db_titel = (array_key_exists($db_titel.$activeModules['Bilderalbum']['member_suffix'], $mod_galery_albums) && $mod_galery_albums[$db_titel.$activeModules['Bilderalbum']['member_suffix']]['sort'] && !empty($_SESSION['SID_log_login_id'])) ? $db_titel.$activeModules['Bilderalbum']['member_suffix'] : $db_titel;
$show = $db_titel;
$mute = true;
if (!isset($rand_pics[$db_titel])) { // einmal einlesen
	$rand_pics[$db_titel] = array();
	$rand_desc[$db_titel] = array();
	$query_random = "SELECT * FROM ".CPO_MOD_GALLERY." WHERE album = '".addslashes($db_titel)."' AND datei <> '' ";
	$db_random = new DB;
	$db_random->query($query_random);
	while($db_random->next_record())  {
		$rand_pics[$db_titel][] = $db_random->v("datei");
		$rand_desc[$db_titel][] = $db_random->v("beschreibung");
	}
}
$bilderzahl = count($rand_pics[$db_titel]);

switch ($key) {
	case 'Table (slideshow)':
	// das Album selbst
		//include (CPO_BASEDIR.$activeModules['Bilderalbum']['directory']."/includes/album.php");
		$content['Table (slideshow)']['content'] = getAlbum($show);
		break;
	case 'InPage (slideshow)':
	// die InPage-Slideshow
		$inPage = true;
		$mute = true;
		$_GET['pic'] = true;
		$_GET['from'] = $db_titel;
		include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/fadeslideshow.inc.php');
		$content['InPage (slideshow)']['content'] = str_replace('\\', '\\\\', $show_string);
		break;
	case 'Show (slideshow)':
	// Der Link zum Album
		$content['Show (slideshow)']['content'] = '<a href="' . BASE_ABS . $cpoRubric['directory'] . '/detail.php?rubric=' . $cpoRubric['name'] . '&nr=' . $db_nr . '&" class="more">'.$activeModules['Bilderalbum']['go_to_text'].'</a>';
		break;
	case 'Random (slideshow)': // FIXME geht das noch?
	// Das Bild mit Link
		$zufallsbild = rand(0,$bilderzahl-1);
		$content['Random (slideshow)']['content'] = '<a href="' . BASE_ABS . $cpoRubric['directory'] . '/detail.php?rubric=' . $cpoRubric['name'] . '&nr=' . $db_nr . '&" class="more"><img src="'.BASE_ABS.$activeModules['Bilderalbum']['directory'].'/bilder/'.$rand_pics[$db_titel][$zufallsbild].'" border="0" alt="'.$rand_desc[$db_titel][$zufallsbild].'"></a>';
		$verbraucht[$db_titel][] = $zufallsbild;
		break;
	case 'Picture'.$rand_reihe.' (slideshow)': // FIXME geht das noch?
	// weitere Zufallsbilder ohne Link
		while ($rand_reihe <= $bilderzahl)  {
			$zufallsbild = rand(0,$bilderzahl-1);
			if (in_array($zufallsbild, $verbraucht[$db_titel])) continue;
			$content['Picture'.$rand_reihe.' (slideshow)'] = array(
				'type'		=>'SLIDESHOW',
				'name'		=>'Picture'.$rand_reihe,
				'content'   =>BASE_ABS.$activeModules['Bilderalbum']['directory'].'/bilder/'.$rand_pics[$db_titel][$zufallsbild]
			);
			$verbraucht[$db_titel][] = $zufallsbild;
			$rand_reihe++;
		}
		break;
}

if (!$gallerybreak) $replacement = $content[$key]['content'];
?>
