<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

if (!defined('CPO')) exit;

// This is the language file for navigation and setup

$translation = array(

// navigation
'Slideshow'
=> 'Bilderalbum',
'Picture Gallery / Slideshow'
=> 'Bilderalbum / Diashow',
'create slideshow'
=> 'Bilderalbum erstellen',
'Creates a new slideshow'
=> 'Erstellt ein neues Bilderalbum',
'work on slideshows'
=> 'Bilderalben bearbeiten',
'Manage the existing slideshows'
=> 'Verwalten der vorhandenen Bilderalben',
'Options'
=> 'Einstellungen',
'Rights'
=> 'Rechte',
'The gallery-module got activated.'
=> 'Das Bilderalbum-Modul wurde aktiviert.',
'The gallery-module was successfully installed!'
=> 'Das Bilderalbum-Modul wurde erfolgreich installiert!',
'The gallery-module got deactivated.'
=> 'Das Bilderalbum-Modul wurde deaktiviert.',
'The gallery-module was removed from the ConPresso-system. To finally uninstall the gallery-module, please remove the module directory'
=> 'Das Bilderalbum-Modul wurde aus dem ConPresso-System entfernt. Um das Bilderalbum-Modul vollstndig zu entfernen lschen Sie bitte das Modul-Verzeichnis',
'options'
=> 'Einstellungen',
'rights'
=> 'Rechte',
'read manual'
=> 'Handbuch',
'remove anything'
=> 'Alle Reste lschen',
'The template file <em>%s</em> was saved as a new template.'
=> 'Die Template-Datei <em>%s</em> wurde als neues Template gespeichert.',

// Frontend
'Go to the Slideshow '
=> 'Klicken fr das Bilderalbum ',
'STOP!'
=> 'STOPP!',
'Wait %s seconds or'
=> '%s Sekunden warten oder',
'End of the slideshow'
=> 'Ende der Diashow',
'click for repeating the slideshow'
=> 'hier Klicken, um die Dia-Show zu wiederholen',
'click for the next picture '
=> 'hier Klicken fr das nchste Bild ',
' click for the previous picture'
=> ' hier Klicken fr das vorherige Bild',
'no previous picture'
=> 'kein vorheriges Bild',
'Click for next picture'
=> 'Klicken fr das nchste Bild',
'Click for full picture'
=> 'Hier Klicken fr das Originalbild',
'pages'
=> 'Seiten',
'This is only a preview page, not for frontend use!<br />If you see no slideshow, then you are using this page in a wrong way!'
=> 'Dies ist nur eine Vorschau-Seite, die nicht fr die Anzeige im Frontend genutzt werden sollte.<br />Wenn Sie hier kein Bilderalbum sehen, dann benutzen Sie das Modul nicht richtig!',
' (There is no installed GD2 on your system found, so you will not be able to use the module. The install-function has been diasabled!)'
=> ' (Es wurde keine Grafikbibliothek GD2 auf Ihrem System gefunden, so da Sie das Modul nicht nutzen knnen. Die Installations-Funktion wurde deaktiviert!)',
'back to overview'
=> 'zurck zur bersicht',

// messages
'NOTICE: The galleries can\'t be shown by using a URL! Just put a SLIDESHOW placeholder in your article template and the gallery matching the article title will be shown.'
=> 'HINWEIS: Die Bildergalerien werden niemals direkt ber eine URL aufgerufen!<br />Fgen Sie einfach in einem Artikeltemplate einen der SLIDESHOW-Platzhalter ein und es wird die Galerie benutzt, die den gleichen Titel wie der Artikel trgt.',


'english'
=> 'deutsch',

'yes'
=> 'ja',
'no'
=> 'nein'
)

?>