<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

if (!defined('CPO')) exit;

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

//Album erzeugen
printPageHeader(
    __('Create slideshow'),
    __('In this view you can create a new slideshow.'),
    modHelp('application','gallery'),
    true,
    'modules'
);

include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/actions.inc.php');
require(CPO_BASEDIR."_include/message.php");

if (!$gallerybreak) {


	echo '<FORM METHOD=POST ACTION="edit.php">';
	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';
	echo '<th colspan="2"><span>'.__('Create new slideshow').'</span></th>';
	echo '</tr></thead><tbody>';
	echo '<INPUT TYPE="hidden" name="add" value="1">';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Name').':';
        echo '</td>';
		echo '<td class="rightrow">';
		echo '<INPUT class="text inputwidth" TYPE="text" NAME="album" value="" size="20" maxlength="255">';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Description').':';
        echo '</td>';
		echo '<td class="rightrow">';
		echo '<INPUT class="text inputwidth" TYPE="text" NAME="titel" value="" size="20" maxlength="255">';
		echo '</td>';
	echo '</tr>';
	if ($overview_format == 'table')
	{
		echo '<tr>';
			echo '<td class="leftrow">';
			echo __('Columns').':';
			echo '</td>';
			echo '<td class="rightrow">';
			echo '<INPUT class="text" TYPE="text" NAME="spalten" value="'.$activeModules['Bilderalbum']['default_cols'].'" size="1" maxlength="255">';
			echo '</td>';
		echo '</tr>';
	}
	echo '<tr>';
		echo '<td class="leftrow">';
		echo '&nbsp;';
        echo '</td>';
		echo '<td class="rightrow">';
		echo '<INPUT TYPE="submit" name="send" value="'.__('Create').'">';
		echo '</td>';
	echo '</tr>';

	echo '</tbody></table>';
	echo '</form>';
}
?>