<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

if (!defined('CPO')) exit;

$query = "SELECT * FROM ".$dbPrefix."_mod_bilderalbum WHERE id = '".addslashes($_GET['change'])."'";
DEBUG(2, $query, __FILE__, __LINE__);  
$db = new DB;
$db->query($query);
$db->next_record();
$beschreibung = $db->v("beschreibung");
$album = $db->v("album");
$cols = $mod_galery_albums[$album]["width"];

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

printPageHeader(
	__('Change description'),
	sprintf(__('In this view you can change the description of picture <i>%s</i>.'),substr($db->v("datei"),1)),
    modHelp('application','gallery'),
    true,
    'modules'
);

require(CPO_BASEDIR."_include/message.php");

?>
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
<input type="hidden" name="changebeschreibung" value="1"> 
<input type="hidden" name="edit" value="<?php echo htmlspecialchars($db->v("album"), ENT_COMPAT, 'ISO-8859-15'); ?>"> 
<input type="hidden" name="cols" value="<?php echo $_GET['cols']; ?>"> 
<input type="hidden" name="id" value="<?php echo $_GET['change']; ?>"> 
<table class="colored" style="width: 100%;">
	<thead>
		<tr>
			<th colspan="2"><span><?php echo __('Change description'); ?></span></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td class="leftrow"><?php echo __('Description'); ?> </td>
			<td class="rightrow"><input class="text inputwidth" type="text" name="beschreibung" value="<?php echo htmlspecialchars($db->v("beschreibung"), ENT_COMPAT, 'ISO-8859-15'); ?>"/></td>
		</tr>
		<tr>
			<td vAlign="top" class="leftrow">&nbsp;</td>
			<td class="rightrow"><a href="<?php echo "bilder/".substr($db->v("datei"),1); ?>" target="_blank"><img src="<?php echo "bilder/h".substr($db->v("datei"),1); ?>" border="0"></a></td>
		</tr>
		<tr>
			<td vAlign="top" class="leftrow"><?php echo __('Slideshow'); ?>: </td>
			<td class="rightrow">
<?php
    // Bilderalbum-Rechte
    $id = $_SESSION['SID_user']['id'];
    $rights = $activeModules['Bilderalbum']['rights'][$id];
    $permission_to_see = $rights{0};
    $permission_edit = $rights{1};
    $permission_supervise = $rights{2};

    $actAlbum = $db->v("album");
	$query = "SELECT album, user FROM ".$dbPrefix."_mod_bilderalbum WHERE datei = ''";
    DEBUG(2, $query, __FILE__, __LINE__);  
    $db = new DB;
    $db->query($query);

	//Album Liste
    if ($db->num_rows()>0){
		// table header {{{
        echo '<select name="album">';
        while($db->next_record()):
            if ($db->v("user") == $_SESSION['SID_user']['name'] || $permission_supervise) {
                $album = $db->v("album");
                $selected = ($actAlbum == $album) ? ' selected="selected"' : '';
                echo '<option value="'.htmlspecialchars($album, ENT_COMPAT, 'ISO-8859-15').'"'.$selected.'>'.htmlspecialchars($album, ENT_COMPAT, 'ISO-8859-15').'</option>';
            }
		endwhile;
        echo '</select>';
	}
?>
			</td>
		</tr>
		<tr>
			<td class="leftrow">&nbsp;</td>
			<td class="rightrow"><input type="submit" value="<?php echo __('Process changes'); ?>"/></td>
		</tr>
	</tbody>
</table>
</form>
