<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

if (!defined('CPO')) exit;
?>

<script type="text/javascript">
<!--//

var whichColor = '';

function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}

function pickedColor(color)
{
    if (!color) return;
    eval('document.modulesettings.'+whichColor+'.value="'+color+'";');
    eval('document.modulesettings.'+whichColor+'_show.style.backgroundColor="'+color+'";');
}

function getPickedColor()
{
    return eval(whichColor+'.value;');
}

function colorize()
{
    document.getElementById('text_color_show').style.backgroundColor = document.getElementById('text_color').value;
    document.getElementById('shadow_color_show').style.backgroundColor = document.getElementById('shadow_color').value;
}

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+350+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-350+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

function ausblenden (boxID, link) {
	if(document.getElementById(link).innerHTML=='<?php echo '<img src="'.SKIN_URL.'nav_close.gif"> '.__('hide'); ?>'){ 
	  document.getElementById(boxID).style.display = 'none';
	  document.getElementById(link).innerHTML='<?php echo '<img src="'.SKIN_URL.'nav_open.gif"> '.__('show'); ?>';
	  document.getElementById(boxID+'icon').src='<?php echo SKIN_URL.'nav_open.gif'; ?>';
	  setGalleryCookie(boxID, false, 365);
	} else {
	  document.getElementById(boxID).style.display = '';
	  document.getElementById(link).innerHTML='<?php echo '<img src="'.SKIN_URL.'nav_close.gif"> '.__('hide'); ?>';
	  document.getElementById(boxID+'icon').src='<?php echo SKIN_URL.'nav_close.gif'; ?>';
	  setGalleryCookie(boxID, true, 365);
	}
}

function setGalleryCookie(name, value, expdays) {   // gltig expdays Tage
  var now = new Date();
  var exp = new Date(now.getTime() + (1000*60*60*24*expdays));
  document.cookie = name + "=" + escape(value) + ";" +
                    "expires=" + exp.toGMTString() + ";" +
                    "path=/";
}

//-->
</script>

<?php

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

// here we go ****************************************************************************************

printPageHeader(
	__('Slideshow'),
	__('In this view you can work on the slideshow-module options and settings.'),
	modHelp('settings','gallery'),
	true,
	'modules'
);

include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/actions.inc.php');
require(CPO_BASEDIR."_include/message.php");

$pro = TRUE;
$lic = TRUE;
$rec_thumbs = ' ('.__('Changing this value requires a <a href="process.php?recalculate=thumbs">recalculation of all thumbnails</a>').')';
$rec_pics   = ' ('.__('Changing this value requires a <a href="process.php?recalculate=pics">recalculation of all pictures</a>').')';
if (license($activeModules['Bilderalbum']['lkey'],4) != 1 && license($activeModules['Bilderalbum']['lkey'],4) != 3) {
	$disabled = ' disabled="disabled"';
	$pro = FALSE;
	unset($rec_thumbs, $rec_pics);
}
if (license($activeModules['Bilderalbum']['lkey'],4) != 1 && license($activeModules['Bilderalbum']['lkey'],4) != 2) {
	$disabled = ' disabled="disabled"';
	$lic = FALSE;
}

// ******** GENERAL SETTINGS ***************
		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
		echo '<input type="hidden" name="go" value="1">';
		echo '<input type="hidden" name="list" value="options">';
 
		include(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/includes/license.inc.php');

if (!$gallerybreak) {

		boxHeader('general', __('General settings'), true);

        if (!$lic) $licText = '(' . __('available in the finally licensed version') . ')';
		settings_row (
			__('Note:'), 
			__('For using the dynamic effects of the gallery you need to add this code to your head-tag if not already done:')
			.nl2br(htmlspecialchars("\n".'<!-- mod_gallery w/ lightbox -->'."\n"
			.'<script type="text/javascript" src="../mod_gallery/js/jquery-1.9.1.min.js"></script>'."\n"
			.'<script type="text/javascript" src="../mod_gallery/js/jquery-migrate-1.1.1.min.js"></script>'."\n"
			.'<script type="text/javascript" src="../mod_gallery/js/lightbox.js"></script>'."\n"
			.'<link rel="stylesheet" type="text/css"  href="../mod_gallery/lightbox/lightbox.css"media="screen" />', ENT_COMPAT, 'ISO-8859-15'))
			);
		settings_row (
			__('JPEG quality:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[quality]" value="'.$activeModules['Bilderalbum']['quality'].'" size="5"'.$disabled.'> '.__('percent').' '.$licText
			);
		settings_row (
			__('Picture width:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[max_width]" value="'.$activeModules['Bilderalbum']['max_width'].'" size="5"> '.__('pixel').$rec_pics
			);
		settings_row (
			__('Picture height:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[max_height]" value="'.$activeModules['Bilderalbum']['max_height'].'" size="5"> '.__('pixel').$rec_pics
			);
		settings_row (
			__('Minimum upload picture size:'),
			'<input type="text" class="text" name="cpoBilderalbumNew[min_size]" value="'.$activeModules['Bilderalbum']['min_size'].'" size="5"'.$disabled.'> '.__('pixel').' '.$licText
			);
		$yes_selected = ($activeModules['Bilderalbum']['usage_message'] == 'yes') ? ' selected="selected"' : '';
		$no_selected  = ($activeModules['Bilderalbum']['usage_message'] == 'no')  ? ' selected="selected"' : '';
		settings_row (
			__('Usage message:'),
			'<select name="cpoBilderalbumNew[usage_message]"'.$disabled.'>'
			. '<option value="yes"' .$yes_selected.'>'.__('yes').'</option>'
			. '<option value="no"'  .$no_selected. '>'.__('no'). '</option>'
			. '</select> '.$licText);
        $yes_selected = ($activeModules['Bilderalbum']['size_message'] == 'yes') ? ' selected="selected"' : '';
		$no_selected  = ($activeModules['Bilderalbum']['size_message'] == 'no')  ? ' selected="selected"' : '';
		settings_row (
			__('Size message:'),
			'<select name="cpoBilderalbumNew[size_message]"'.$disabled.'>'
			. '<option value="yes"' .$yes_selected.'>'.__('yes').'</option>'
			. '<option value="no"'  .$no_selected. '>'.__('no'). '</option>'
			. '</select> '.$licText);
		$table_selected = ($activeModules['Bilderalbum']['overview_format'] == 'table') ? ' selected="selected"' : '';
		$pics_selected  = ($activeModules['Bilderalbum']['overview_format'] == 'pics')  ? ' selected="selected"' : '';
		settings_row (
			__('Overview format:'),
			'<select name="cpoBilderalbumNew[overview_format]">'
			. '<option value="table"' . $table_selected . '>' . __('table') . '</option>'
			. '<option value="pics"'  . $pics_selected  . '>' . __('pics')  . '</option>'
            . '</select>'
			);
		$popup_selected = ($activeModules['Bilderalbum']['slideshow_format'] == 'popup') ? ' selected="selected"' : '';
		$lightbox_selected  = ($activeModules['Bilderalbum']['slideshow_format'] == 'lightbox')  ? ' selected="selected"' : '';
		settings_row (
			__('Slideshow format:'),
			'<select name="cpoBilderalbumNew[slideshow_format]">'
			. '<option value="popup"' . $popup_selected . '>' . __('Pop-Up') . '</option>'
			. '<option value="lightbox"'  . $lightbox_selected  . '>' . __('Lightbox')  . '</option>'
            . '</select>'
			);
		if (version_compare($CPO['version'], '4.1.0') >= 0) {
			$pagetemplateString = '<select name="cpoBilderalbumNew[pagetemplate_index]" size="1">';
			$pagetemplateString .= '<option value="-2"'
				.($activeModules['Bilderalbum']['pagetemplate_index']==-2 ? ' selected' : '')
				.'>--- '.__('act like enclosing rubric').' ---</option>';
			$pagetemplateString .= '<option value="0"'
				.($activeModules['Bilderalbum']['pagetemplate_index']==0 ? ' selected' : '')
				.'>--- '.___('Use header and footer files').' ---</option>';
			$query = 'SELECT id, name FROM '.CPO_PAGETEMPLATES.' '
					.'ORDER BY name';
			$db->query($query);
			$_pagetemplates = array();
			while ($db->next_record()) {
				$_pagetemplates[$db->v('id')] = $db->v('name');
			}
			foreach ($_pagetemplates as $k=>$v) {
				$pagetemplateString .= '<option value="'.htmlspecialchars($k, ENT_COMPAT, 'ISO-8859-15').'"'
					.($activeModules['Bilderalbum']['pagetemplate_index']==$k ? ' selected' : '')
					.'>'.htmlspecialchars($v, ENT_COMPAT, 'ISO-8859-15').'</option>';
			}
			$pagetemplateString .= '</select>';
			settings_row (
				__('Page-Template:'),
				$pagetemplateString
				);
		}
		settings_row (
			__('Member suffix:'), 
			'<input type="text" class="text inputwidth" name="cpoBilderalbumNew[member_suffix]" value="'.$activeModules['Bilderalbum']['member_suffix'].'">'
			);
		$name_selected = ($activeModules['Bilderalbum']['sorting'] == 'name') ? ' selected="selected"' : '';
		$manual_selected  = ($activeModules['Bilderalbum']['sorting'] == 'manual')  ? ' selected="selected"' : '';
		settings_row (
			__('Sorting:'),
			'<select name="cpoBilderalbumNew[sorting]">'
			. '<option value="name"' .$name_selected.'>'.__('name').'</option>'
			. '<option value="manual"'  .$manual_selected. '>'.__('manual'). '</option>'
			. '</select>');
		settings_row (
			__('Extra files:'),
			'<textarea style="width: 95%; height: 50px;" id="x_files" class="text inputwidth" name="cpoBilderalbumNew[x_files]">'.htmlspecialchars($activeModules['Bilderalbum']['x_files'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'x_files\', this);return false" id="lnk">'.__('enlarge').'</a><br />'.
            __('Syntax: prefix;width;height').'<br />'.$rec_pics
		);

        
        settings_row ('&nbsp;','<input type="submit" class="button" value="'.__('Save module settings').'">');
		echo '</tbody></table>';

// ******** TABLE SETTINGS ***************

		boxHeader('table', __('Table format settings'), false);

		settings_row (
			__('Type area:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[satzspiegel]" value="'.$activeModules['Bilderalbum']['satzspiegel'].'" size="5"> '.__('pixel').$rec_thumbs
			);
		settings_row (
			__('Album rows:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[album_rows]" value="'.$activeModules['Bilderalbum']['album_rows'].'" size="5">'
			);
		settings_row (
			__('Default columns:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[default_cols]" value="'.$activeModules['Bilderalbum']['default_cols'].'" size="5">'
			);
		settings_row (
			__('Slide frame:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[slide_frame]" value="'.$activeModules['Bilderalbum']['slide_frame'].'" size="5"> '.__('pixel').$rec_thumbs
			);
		settings_row (
			__('Padding:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[padding]" value="'.$activeModules['Bilderalbum']['padding'].'" size="5"> '.__('pixel').$rec_thumbs
			);
		settings_row (
			__('Slide template (pop-up):'),
            '<textarea style="width: 95%; height: 50px;" id="slide_template" class="text inputwidth" name="cpoBilderalbumNew[slide_template]">'.htmlspecialchars($activeModules['Bilderalbum']['slide_template'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'slide_template\', this);return false" id="lnk">'.__('enlarge').'</a>'
			);
		settings_row (
			__('Slide template (lightbox):'),
            '<textarea style="width: 95%; height: 50px;" id="lightbox_slide_template" class="text inputwidth" name="cpoBilderalbumNew[lightbox_slide_template]">'.htmlspecialchars($activeModules['Bilderalbum']['lightbox_slide_template'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'lightbox_slide_template\', this);return false" id="lnk">'.__('enlarge').'</a>'
			);
						
		settings_row ('&nbsp;','<input type="submit" class="button" value="'.__('Save module settings').'">');
		echo '</tbody></table>';

// ******** DIV SETTINGS ***************

		// table header {{{
		boxHeader('pics', __('Pics format settings'), false);
        // }}}

		settings_row (
			__('Image size:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[image_size]" value="'.$activeModules['Bilderalbum']['image_size'].'" size="5"> '.__('pixel').$rec_thumbs
			);
		settings_row (
			__('Images per page:'), 
			'<input type="text" class="text" name="cpoBilderalbumNew[num_images]" value="'.$activeModules['Bilderalbum']['num_images'].'" size="5">'
			);
		settings_row (
			__('Thumbnail template (pop-up):'), 
			'<textarea style="width: 95%; height: 50px;" id="thumb_template" class="text inputwidth" name="cpoBilderalbumNew[thumb_template]">'.htmlspecialchars($activeModules['Bilderalbum']['thumb_template'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'thumb_template\', this);return false" id="lnk">'.__('enlarge').'</a>'
			);
		settings_row (
			__('Thumbnail template (lightbox):'), 
			'<textarea style="width: 95%; height: 50px;" id="lightbox_thumb_template" class="text inputwidth" name="cpoBilderalbumNew[lightbox_thumb_template]">'.htmlspecialchars($activeModules['Bilderalbum']['lightbox_thumb_template'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'lightbox_thumb_template\', this);return false" id="lnk">'.__('enlarge').'</a>'
			);
						
		settings_row ('&nbsp;','<input type="submit" class="button" value="'.__('Save module settings').'">');
		echo '</tbody></table>';

// ******** Pop-Up SETTINGS ***************

		boxHeader('popup', __('Pop-Up and InPage settings'), false);

		settings_row (__('Note:'), __('no effect when using lightbox'));
		settings_row (
			__('Pop-Up width:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[pop_up_width]" value="'.$activeModules['Bilderalbum']['pop_up_width'].'" size="5"> '.__('pixel')
			);
		settings_row (
			__('Pop-Up height:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[pop_up_height]" value="'.$activeModules['Bilderalbum']['pop_up_height'].'" size="5"> '.__('pixel')
			);
		settings_row (
			__('Show template:'),
            '<textarea style="width: 95%; height: 150px;" id="show_template" class="text inputwidth" name="cpoBilderalbumNew[show_template]">'.htmlspecialchars($activeModules['Bilderalbum']['show_template'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'show_template\', this);return false" id="lnk">'.__('enlarge').'</a>'
			);
		settings_row (
			__('InPage template:'),
            '<textarea style="width: 95%; height: 150px;" id="inpage_template" class="text inputwidth" name="cpoBilderalbumNew[inpage_template]">'.htmlspecialchars($activeModules['Bilderalbum']['inpage_template'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'inpage_template\', this);return false" id="lnk">'.__('enlarge').'</a>'
			);
		$yes_selected = '';
		$no_selected = '';
		if ($activeModules['Bilderalbum']['link_original'] == 'yes')  $yes_selected = " selected";
		if ($activeModules['Bilderalbum']['link_original'] == 'no')  $no_selected = " selected";
		settings_row (
			__('Link to original image:'),
            '<select name="cpoBilderalbumNew[link_original]">'
			. '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>'
			. '<option value="no"'.$no_selected.'>'.__('no').'</option>'
            . '</select> '
			);

		settings_row ('&nbsp;','<input type="submit" class="button" value="'.__('Save module settings').'">');
		echo '</tbody></table>';

// ******** Pro-Einstellungen ***************

		// table header {{{
		boxHeader('pro', __('Pro settings'), false);
        // }}}

		if (!$pro) settings_row (__('Note:'), __('available in the commercial version'));
        if ($pro) settings_row ("&nbsp;", __('After changing any value you will have to <a href="process.php?recalculate=pics">recalculate all pictures</a>'));
		settings_row (
			__('Staggered processing:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[staggered_num]" value="'.$activeModules['Bilderalbum']['staggered_num'].'" size="5"'.$disabled.'>'
			);
		$yes_selected = '';
		$no_selected = '';
		if ($activeModules['Bilderalbum']['mark_copyright'] == 'yes')  $yes_selected = " selected";
		if ($activeModules['Bilderalbum']['mark_copyright'] == 'no')  $no_selected = " selected";
		settings_row (
			__('Mark copyright:'),
            '<select name="cpoBilderalbumNew[mark_copyright]"'.$disabled.'>'
			. '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>'
			. '<option value="no"'.$no_selected.'>'.__('no').'</option>'
            . '</select>'
			);
		$pos_array = array("left","center","right");
		$posString = '<table width="100" border="0" cellspacing="0" cellpadding="0" style="border: solid 1px black;">';
		for ($r=0;$r<3;$r++)  {
			$posString .=  "<tr>";
			for ($c=0;$c<3;$c++)  {
				$pos = 3 * $r + $c;
				$checked = '';
				if ($activeModules['Bilderalbum']['copyright_pos'] == $pos+1)  $checked = ' checked="checked"';
				$posString .=  '<td><div align="'.$pos_array[$c].'"><input type="radio" name="cpoBilderalbumNew[copyright_pos]" value="'.($pos+1).'"'.$checked.$disabled.'></div></td>';
			}
			$posString .=  "</tr>";
		}
		$posString .=  "</table>";
		echo '</tr>';
		settings_row (
			__('Copyright position:'),
            $posString
			);
		settings_row (
			__('Copyright notice text:'),
            '<input type="text" class="text inputwidth" name="cpoBilderalbumNew[copyright_content]" value="'.htmlspecialchars($activeModules['Bilderalbum']['copyright_content'], ENT_COMPAT, 'ISO-8859-15').'"'.$disabled.'>'
			);
		settings_row (
			__('Border:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[copyright_border]" value="'.$activeModules['Bilderalbum']['copyright_border'].'" size="5"'.$disabled.'> '.__('pixel')
			);
		settings_row (
			__('Text color:'),
            '<input type="text" class="text" id="text_color" name="cpoBilderalbumNew[text_color]" value="'.strtoupper($activeModules['Bilderalbum']['text_color']).'" size="7" onchange="colorize();"'.$disabled.'><INPUT TYPE="text" class="text" id="text_color_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'text_color\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)"'.$disabled.'>&nbsp;&nbsp;'
			);
		settings_row (
			__('Shadow color:'),
            '<input type="text" class="text" id="shadow_color" name="cpoBilderalbumNew[shadow_color]" value="'.strtoupper($activeModules['Bilderalbum']['shadow_color']).'" size="7" onchange="colorize();"'.$disabled.'><INPUT TYPE="text" class="text" id="shadow_color_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'shadow_color\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)"'.$disabled.'>&nbsp;&nbsp;'
			);
		$ttf_select = '<select name="cpoBilderalbumNew[font]"'.$disabled.'>';
		$ttffiles = listTTFfiles(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/fonts');
		for ($df=0;$df<count($ttffiles);$df++)  {
			$selected = '';
			if ($activeModules['Bilderalbum']['font'] == 'fonts/'.$ttffiles[$df])  $selected = ' selected="selected"';
			$ttf_select .= '<option value="fonts/'.$ttffiles[$df].'"'.$selected.'>'.$ttffiles[$df].'</option>';
		}
		$ttf_select .= '</select>';
		settings_row (
			__('Font:'),
            $ttf_select
			);
		settings_row (
			__('Font size:'),
            '<input type="text" class="text" name="cpoBilderalbumNew[font_size]" value="'.$activeModules['Bilderalbum']['font_size'].'" size="5"'.$disabled.'> '.__('pixel')
			);
		$yes_selected = '';
		$no_selected = '';
		if ($activeModules['Bilderalbum']['show_watermark'] == 'yes')  $yes_selected = " selected";
		if ($activeModules['Bilderalbum']['show_watermark'] == 'no')  $no_selected = " selected";
		settings_row (
			__('Show watermark:'),
            '<select name="cpoBilderalbumNew[show_watermark]"'.$disabled.'>'
			.'<option value="yes"'.$yes_selected.'>'.__('yes').'</option>'
			.'<option value="no"'.$no_selected.'>'.__('no').'</option>'
            .'</select>'
			);
		$pos_array = array("left","center","right");
		$posString = '<table width="100" border="0" cellspacing="0" cellpadding="0" style="border: solid 1px black;">';
		for ($r=0;$r<3;$r++)  {
			$posString .= "<tr>";
			for ($c=0;$c<3;$c++)  {
				$pos = 3 * $r + $c;
				$checked = '';
				if ($activeModules['Bilderalbum']['watermark_pos'] == $pos+1)  $checked = ' checked="checked"';
				$posString .= '<td><div align="'.$pos_array[$c].'"><input type="radio" name="cpoBilderalbumNew[watermark_pos]" value="'.($pos+1).'"'.$checked.$disabled.'></div></td>';
			}
			$posString .= "</tr>";
		}
		$posString .= "</table>";
		settings_row (
			__('Watermark position:'),
            $posString
			);
		$wm_select = '<select name="cpoBilderalbumNew[watermark_pic]"'.$disabled.'>';
		$wmfiles = listimagefiles(CPO_BASEDIR.$activeModules['Bilderalbum']['directory'].'/watermark');
		for ($df=0;$df<count($wmfiles);$df++)  {
			$selected = '';
			if ($activeModules['Bilderalbum']['watermark_pic'] == 'watermark/'.$wmfiles[$df])  $selected = ' selected="selected"';
			$wm_select .= '<option value="watermark/'.$wmfiles[$df].'"'.$selected.'>'.$wmfiles[$df].'</option>';
		}
		$wm_select .= '</select>';
		settings_row (
			__('Watermark image:'),
			$wm_select
		);
		$yes_selected = '';
		$no_selected = '';
		if ($activeModules['Bilderalbum']['watermark_scale'] == 'yes')  $yes_selected = " selected";
		if ($activeModules['Bilderalbum']['watermark_scale'] == 'no')  $no_selected = " selected";
		settings_row (
			__('Scale watermark:'),
            '<select name="cpoBilderalbumNew[watermark_scale]"'.$disabled.'>'
			. '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>'
			. '<option value="no"'.$no_selected.'>'.__('no').'</option>'
            . '</select>'
			);
		settings_row (
			__('Watermark transparency:'),
			'<input type="text" class="text" name="cpoBilderalbumNew[watermark_transparency]" value="'.$activeModules['Bilderalbum']['watermark_transparency'].'" size="5"'.$disabled.'> '.__('percent')
		);
		$yes_selected = '';
		$no_selected = '';
		if ($activeModules['Bilderalbum']['watermark_mode'] == 'color')  $yes_selected = " selected";
		if ($activeModules['Bilderalbum']['watermark_mode'] == 'greyscale')  $no_selected = " selected";
		settings_row (
			__('Watermark mode:'),
			'<select name="cpoBilderalbumNew[watermark_mode]"'.$disabled.'>'
			. '<option value="color"'.$yes_selected.'>'.__('color').'</option>'
			. '<option value="greyscale"'.$no_selected.'>'.__('greyscale').'</option>'
            . '</select> '.__('only for truecolor watermarks')
		);
		
		settings_row ('&nbsp;','<input type="submit" class="button" value="'.__('Save module settings').'">');
		echo '</tbody></table>';



// ******** GALLERY ***************
 
		// table header {{{
		boxHeader('gallery', __('Gallery'), false);
        // }}}


		settings_row (
			__('Page backward:'),
			'<input type="text" class="text inputwidth" name="cpoBilderalbumNew[page_rewind]" value="'.htmlspecialchars($activeModules['Bilderalbum']['page_rewind'], ENT_COMPAT, 'ISO-8859-15').'" size="20">'
		);
		settings_row (
			__('Page forward:'),
			'<input type="text" class="text inputwidth" name="cpoBilderalbumNew[page_forward]" value="'.htmlspecialchars($activeModules['Bilderalbum']['page_forward'], ENT_COMPAT, 'ISO-8859-15').'" size="20">'
		);
		settings_row (
			__('Pagination:'),
			'<input type="text" class="text inputwidth" name="cpoBilderalbumNew[pagination]" value="'.htmlspecialchars($activeModules['Bilderalbum']['pagination'], ENT_COMPAT, 'ISO-8859-15').'" size="20">'
		);
		settings_row (
			__('Actual page:'),
			'<input type="text" class="text inputwidth" name="cpoBilderalbumNew[actual_page]" value="'.htmlspecialchars($activeModules['Bilderalbum']['actual_page'], ENT_COMPAT, 'ISO-8859-15').'" size="20">'
		);
		settings_row (
			__('Navigation:'),
			'<input type="text" class="text inputwidth" name="cpoBilderalbumNew[album_navigation]" value="'.htmlspecialchars($activeModules['Bilderalbum']['album_navigation'], ENT_COMPAT, 'ISO-8859-15').'" size="20">'
		);

		$never_selected  = ($activeModules['Bilderalbum']['display_navigation'] == 'never')  ? ' selected="selected"' : '';
		$auto_selected   = ($activeModules['Bilderalbum']['display_navigation'] == 'auto')   ? ' selected="selected"' : '';
		$always_selected = ($activeModules['Bilderalbum']['display_navigation'] == 'always') ? ' selected="selected"' : '';
		settings_row (
			__('Display navigation:'),
			'<select name="cpoBilderalbumNew[display_navigation]">'
			. '<option value="never"'  . $never_selected  . '>' . __('never')  . '</option>'
			. '<option value="auto"'   . $auto_selected   . '>' . __('auto')   . '</option>'
			. '<option value="always"' . $always_selected . '>' . __('always') . '</option>'
            . '</select>'
			);
		settings_row (
			__('CSS template:'),
			'<textarea style="width: 95%; height: 50px;" id="album_css" class="text inputwidth" name="cpoBilderalbumNew[album_css]">'.htmlspecialchars($activeModules['Bilderalbum']['album_css'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'album_css\', this);return false" id="lnk">'.__('enlarge').'</a>'
		);
		settings_row (
			__('Album template:'),
			'<textarea style="width: 95%; height: 50px;" id="album_template" class="text inputwidth" name="cpoBilderalbumNew[album_template]">'.htmlspecialchars($activeModules['Bilderalbum']['album_template'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'album_template\', this);return false" id="lnk">'.__('enlarge').'</a>'
		);
		settings_row (
			__('"Go to" text:'),
			'<input type="text" class="text inputwidth" name="cpoBilderalbumNew[go_to_text]" value="'.htmlspecialchars($activeModules['Bilderalbum']['go_to_text'], ENT_COMPAT, 'ISO-8859-15').'" size="20">'
		);
		settings_row (
			__('"Back to overview" text:'),
			'<textarea style="width: 95%; height: 50px;" id="go_back_text" class="text inputwidth" name="cpoBilderalbumNew[go_back_text]">'.htmlspecialchars($activeModules['Bilderalbum']['go_back_text'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'go_back_text\', this);return false" id="lnk">'.__('enlarge').'</a>'
		);

		settings_row ('&nbsp;','<input type="submit" class="button" value="'.__('Save module settings').'">');
		echo '</tbody></table>';

// ******** SYSTEM ***************

		boxHeader('system', __('System settings'), false);

		$yes_selected = '';
		$no_selected = '';
		if ($activeModules['Bilderalbum']['menu'] == 'main')  $yes_selected = " selected";
		if ($activeModules['Bilderalbum']['menu'] == 'sub')  $no_selected = " selected";
		settings_row (
			__('Menu position:'),
			'<select name="cpoBilderalbumNew[menu]">'
			. '<option value="main"'.$yes_selected.'>'.__('main').'</option>'
			. '<option value="sub"'.$no_selected.'>'.__('sub').'</option>'
            . '</select>'
		);

		settings_row ('&nbsp;','<input type="submit" class="button" value="'.__('Save module settings').'">');
		echo '</tbody></table>';

// ******** RANDOM GALLERY SETTINGS ***************

		boxHeader('random', __('Random gallery settings'), false);

		settings_row (
			__('Parameters:'),
			__('The following parameters will be used in the templates<br />%1$s = mod_gallery directory<br />%2$s = image filename<br />%3$s = image width<br />%4$s = image height<br />%5$s = album description<br />%6$s = album name<br />%7$s = pop-up width<br />%8$s = pop-up height<br />%9$s = image description')
		);
		settings_row (
			__('Link to image template:'),
            '<textarea style="width: 95%; height: 70px;" id="linktoimage_string" class="text inputwidth" name="cpoBilderalbumNew[linktoimage_string]">'.htmlspecialchars($activeModules['Bilderalbum']['linktoimage_string'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'linktoimage_string\', this);return false" id="lnk">'.__('enlarge').'</a>'
			);
		settings_row (
			__('Link to album template:'),
            '<textarea style="width: 95%; height: 70px;" id="linktoalbum_string" class="text inputwidth" name="cpoBilderalbumNew[linktoalbum_string]">'.htmlspecialchars($activeModules['Bilderalbum']['linktoalbum_string'], ENT_COMPAT, 'ISO-8859-15').'</textarea><br /><a href="#" onClick="textarea(\'linktoalbum_string\', this);return false" id="lnk">'.__('enlarge').'</a>'
			);
						
		settings_row ('&nbsp;','<input type="submit" class="button" value="'.__('Save module settings').'">');
		echo '</tbody></table>';

		
		
// end of form ***********************************************************************
		echo '</form>';



?>

<script type="text/javascript">
<!--
	colorize();
//-->
</script>

<?php
}
?>