<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Gallery"                                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.3b / January 2014

*/

if (!defined('CPO')) exit;

global $content, $db_titel, $dbPrefix, $gallerybreak, $mod_galery_albums, $rand_pics;

// jetzt wirds ernst!
if (array_key_exists($db_titel, $mod_galery_albums) && $mod_galery_albums[$db_titel]['sort'] && !$gallerybreak) { // es gibt eine Gallerie!

	// mod_gallery belegen, um ifSet und ifNotSet zu erlauben
	$content['mod_gallery (text)'] = array(
		'type'   =>'text',
		'name'   =>'mod_gallery',
		'text'   =>'mod_gallery'
	);

	// Parser-Array
	$content['Table (slideshow)'] = array(
		'type'		=>'SLIDESHOW',
		'name'		=>'Table',
		'content'	=>true
	);
	$content['InPage (slideshow)'] = array(
		'type'		=>'SLIDESHOW',
		'name'		=>'InPage',
		'content'	=>true
	);
	$content['Random (slideshow)'] = array(
		'type'		=>'SLIDESHOW',
		'name'		=>'Random',
		'content'	=>true
	);
	$content['Show (slideshow)'] = array(
		'type'		=>'SLIDESHOW',
		'name'		=>'Show',
		'content'	=>true
	);
	$content['Picture1 (slideshow)'] = array(
		'type'		=>'SLIDESHOW',
		'name'		=>'Picture1',
		'content'	=>true
	);
	if (isset($rand_pics[$db_titel]) && count($rand_pics[$db_titel])>1) {
		for ($r=2;$r<=count($rand_pics[$db_titel]);$r++) {
			$content['Picture'.$r.' (slideshow)'] = array(
				'type'		=>'SLIDESHOW',
				'name'		=>'Picture'.$r,
				'content'	=>true
			);
		}
	}

}

?>
